$(document).ready(function () {

    $.fn.is_on_screen = function(){
        var win = $(window);
        var viewport = {
            top : win.scrollTop(),
            left : win.scrollLeft()
        };
        viewport.right = viewport.left + win.width();
        viewport.bottom = viewport.top + win.height();
        var bounds = this.offset();
        bounds.right = bounds.left + this.outerWidth();
        bounds.bottom = bounds.top + this.outerHeight();
        return (!(viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom));
    };
    // NAVIGATION
    if( $('.header').is_on_screen() ) { 
        $('.navigation').addClass('hide').removeClass('show');
    }
    else {
        $('.navigation').addClass('show').removeClass('hide');
    }
    $(window).scroll(function(){ 
        if( $('.header').is_on_screen() ) { 
            $('.navigation').addClass('hide').removeClass('show');
        } 
        else {
            $('.navigation').addClass('show').removeClass('hide');
        }
    });
	
    $('.nav a').click(function() {
        var target = $(this.hash); target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
        if (target.length) { $('html,body').animate({ scrollTop: target.offset().top }, 600); return false; }
    });

	$('.header_menu').click(function(){ $('.menu').addClass("show"); });
    $('.header-close-btn').click(function(){ $('.menu').removeClass("show"); });

    $('.expand-service').parent().children('.expand-div, .close-service').hide();

    $('.expand-service').click(function(){
        $(this).parent().children('.expand-div').show(400);
        $(this).hide();
        $(this).parent().children('.close-service').show();
    });

    $('.close-service').click(function(){
        $(this).parent().children('.expand-div').hide(400);
        $(this).hide();
        $(this).parent().children('.expand-service').show();
    });

    $("#description-slide").owlCarousel({
        autoPlay : 3000,
        navigation : false, // Show next and prev buttons
        slideSpeed : 300,
        paginationSpeed : 400,
        singleItem:true    
    });

    $("#img_slider").owlCarousel({
        autoPlay : 3000,
        navigation : false, // Show next and prev buttons
        slideSpeed : 300,
        paginationSpeed : 400,
        singleItem:true   
    });

    $('.gallery-filter .btn').click(function(){
        $('.gallery-filter .btn.active').removeClass('active');
        $(this).addClass('active');
    });


    $("#owl-demo").owlCarousel({
        autoPlay : 5000,
	    items : 3, //3 items above 1000px browser width
	    itemsDesktop : [1000,2], //1 items between 1000px and 901px
	    itemsDesktopSmall : [900,2], // 1 items betweem 900px and 701px
	    itemsTablet: [700,1], //1 items between 600 and 0;
	    itemsMobile : false, // itemsMobile disabled - inherit from itemsTablet option
        slideSpeed : 500,
      
    });

    $(".testimonials_next").click(function(){
        $("#owl-demo").trigger('owl.next');
    })

    $(".testimonials_prev").click(function(){
        $("#owl-demo").trigger('owl.prev');
    })

    $(".yearly").hide();

    $(".month").click(function(){
        $(this).addClass('active');
        $(".yearly").hide(500);
        $(".monthly").show(500);
        $(".year").removeClass('active');
    })

    $(".year").click(function(){
        $(this).addClass('active');
        $(".monthly").hide(500);
        $(".yearly").show(500);
        $(".month").removeClass('active');
    })

    $('.counter').each(count);

    function count(options) {
        var $this = $(this);
        options = $.extend({}, options || {}, $this.data('countToOptions') || {});
        $this.countTo(options);
    };

    function loader () {
        $('#loading').hide();
    }

    setTimeout(loader, 1500);

})
